MatrixInfo.MatrixSymmetry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## no.uib.cipr.matrix.io
Enum MatrixInfo.MatrixSymmetry

    java.lang.Object
      java.lang.Enum<MatrixInfo.MatrixSymmetry>
          no.uib.cipr.matrix.io.MatrixInfo.MatrixSymmetry

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MatrixInfo.MatrixSymmetry>

Enclosing class:
  MatrixInfo

    public static enum MatrixInfo.MatrixSymmetry

extends java.lang.Enum<MatrixInfo.MatrixSymmetry>

Symmetry structure of the matrix, if any

Enum Constant Summary
`General` General matrix, no symmetry
`Hermitian` Hermitian matrix.
`SkewSymmetric` Skew symmetrical matrix
`Symmetric` Symmetrical matrix

Method Summary
`static MatrixInfo.MatrixSymmetry` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MatrixInfo.MatrixSymmetry[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### General

    public static final MatrixInfo.MatrixSymmetry General

  General matrix, no symmetry

### Symmetric

    public static final MatrixInfo.MatrixSymmetry Symmetric

  Symmetrical matrix

### SkewSymmetric

    public static final MatrixInfo.MatrixSymmetry SkewSymmetric

  Skew symmetrical matrix

### Hermitian

    public static final MatrixInfo.MatrixSymmetry Hermitian

  Hermitian matrix. Only applicable for complex entris

Method Detail

### values

    public static final MatrixInfo.MatrixSymmetry[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MatrixInfo.MatrixSymmetry c : MatrixInfo.MatrixSymmetry.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MatrixInfo.MatrixSymmetry valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD